Bug 17304 - C4::Matcher::_get_match_keys is not tested
Summary: C4::Matcher::_get_match_keys is not tested
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks: 17318
  Show dependency treegraph
 
Reported: 2016-09-14 21:38 UTC by Tomás Cohen Arazi
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests (5.76 KB, patch)
2016-09-14 21:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests (5.85 KB, patch)
2016-09-16 08:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests (5.88 KB, patch)
2016-09-18 10:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-09-14 21:38:45 UTC
This function is used in several places, but it's behaviour is not covered by tests, thus trying to patch it can be problematic without introducing regressions.
Comment 1 Tomás Cohen Arazi 2016-09-14 21:43:53 UTC
Created attachment 55574 [details] [review]
Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests

This function is used in several places, but it's behaviour is not covered by tests, thus trying to patch it can be problematic without introducing regressions.

This patch introduces unit tests for it, in the t/Matcher.t file.

To test:
- Apply the patch
- Run:
  $ prove t/Matcher.t
=> SUCCESS: Tests pass
- Sign off :-D
Comment 2 Marcel de Rooy 2016-09-16 08:33:02 UTC
Created attachment 55603 [details] [review]
Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests

This function is used in several places, but it's behaviour is not covered by tests, thus trying to patch it can be problematic without introducing regressions.

This patch introduces unit tests for it, in the t/Matcher.t file.

To test:
- Apply the patch
- Run:
  $ prove t/Matcher.t
=> SUCCESS: Tests pass
- Sign off :-D

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Katrin Fischer 2016-09-18 10:45:27 UTC
Created attachment 55648 [details] [review]
[PASSED QA] Bug 17304: Introduce C4::Matcher::_get_match_keys unit tests

This function is used in several places, but it's behaviour is not covered by tests, thus trying to patch it can be problematic without introducing regressions.

This patch introduces unit tests for it, in the t/Matcher.t file.

To test:
- Apply the patch
- Run:
  $ prove t/Matcher.t
=> SUCCESS: Tests pass
- Sign off :-D

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-09-27 11:31:48 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Frédéric Demians 2016-09-30 09:12:38 UTC
Pushed in 16.05. Will be in 16.05.05.